Centralize provider creation. Create 1 anonymous provider per org
Description

Katello now creates 1 redhat provider and 1 anonymous provider per organization to store the redhat and custom products. This
change implies that code creating custom providers from the API/CLI should be removed to avoid the confusion for a user. There by
the following changes are proprosed

1. Remove providers controller for v1, v2 APIs. Details now required with respect to list of products can be obtained in the products
controller in any case.
2. Remove the hammer provider subcommand, because that logic is already in subscriptions and providers/

Associated revisions

Revision 43b23506 - 04/23/2014 11:12 AM - Partha Aji
Fixes #4925,5147,5410 - Centralize provider creation.

1) Create 1 anonymous provider per org. All custom products are going to
go to this anonymous provider.

2) Remove providers controller for v1, v2 APIs since they are no longer
being used. Please enter the commit message for your changes. Lines starting
3) Added a "redhat_provider" lookup call in org because the

subscriptions + manifest pages uses this call to get product/repo
information

4) Added a "redhat_repository_url" attribute to a org update and read

api calls for one to update the cdn url in the redhat provider. We let

you do that in the Ul. So needed a place to facilitate that.

5) Fixed the refresh manifest, delete manifest operations to now handle
asynced/dynflowed operations similar to upload.

6) Fixed missing attributes in the subscriptions page (rules source and
rules version)

7) Removed all traces of the custom provider from javascript ... The
manifest refresh/delete got moved to subscriptions..’

Revision 3c642e6a - 04/23/2014 02:16 PM - Partha Aji

Merge pull request #3906 from parthaa/provider-cleanup

Fixes #4925 - Centralize provider creation.

Revision 1ae5f6c5 - 04/23/2014 03:12 PM - Partha Aji
Fixes #4925,5147,5410 - Centralize provider creation.

1) Create 1 anonymous provider per org. All custom products are going to

go to this anonymous provider.

2) Remove providers controller for v1, v2 APIs since they are no longer

being used. Please enter the commit message for your changes. Lines starting
3) Added a "redhat_provider" lookup call in org because the

subscriptions + manifest pages uses this call to get product/repo

information

4) Added a "redhat_repository_url" attribute to a org update and read

api calls for one to update the cdn url in the redhat provider. We let

you do that in the Ul. So needed a place to facilitate that.

05/17/2024 1/2




5) Fixed the refresh manifest, delete manifest operations to now handle
asynced/dynflowed operations similar to upload.

6) Fixed missing attributes in the subscriptions page (rules source and
rules version)

7) Removed all traces of the custom provider from javascript ... The
manifest refresh/delete got moved to subscriptions..’

Revision 9713d543 - 04/23/2014 06:16 PM - Partha Aji

Merge pull request #3906 from parthaa/provider-cleanup

Fixes #4925 - Centralize provider creation.

History

#1 - 03/27/2014 09:37 PM - Partha Aji

- Subject changed from Clean up provider cruft to Centralize provider creation. Create 1 anonymous provider per org

The previous products scheme created an anonymous provider per custom product. So if the org had 10 custom products there could be possibly 10
providers of type "anonymous". These anonymous providers don't serve any purpose, and end up causing issues with permissions. For example we
have logic in Katello that allows creation of products with no permission checks, because anonymous providers cant be tagged.

By centralizing anonymous providers we can atleast ensure that the customer has "Manage Redhat Products" permission to allow you to create
products. Note this permission will be tweaked further in the future but atleast there needs to be a baseline.

#2 - 04/23/2014 06:52 PM - Partha Aji
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katellojcommit:1ae5f6c5¢906764e73dd69f9b0f0957edfccd1c?.

#3 - 08/21/2014 02:38 PM - Eric Helms

- translation missing: en.field_release set to 13
